# Asterisk Project : Asterisk 13 Application_JACK

Created by wikibot on Aug 08, 2014

# JACK()

### Synopsis

Jack Audio Connection Kit

### Description

When executing this application, two jack ports will be created; one input and one output. Other applications can be hooked up to these ports to access audio coming from, or being send to the channel.

### Syntax

    JACK([options])

##### Arguments

- `options`
  - `s`
    - `name` - Connect to the specified jack server name
  - `i`
    - `name` - Connect the output port that gets created to the specified jack input port
  - `o`
    - `name` - Connect the input port that gets created to the specified jack output port
  - `c`
    - `name` - By default, Asterisk will use the channel name for the jack client name.
      Use this option to specify a custom client name.

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538